Bug 195730 - Web Inspector: DOM: include window as part of any event listener chain
Summary: Web Inspector: DOM: include window as part of any event listener chain
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 195713
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-13 19:32 PDT by Devin Rousso
Modified: 2019-03-20 14:55 PDT (History)
12 users (show)

See Also:


Attachments
Patch (47.78 KB, patch)
2019-03-17 00:44 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (47.81 KB, patch)
2019-03-20 11:34 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (2.74 MB, application/zip)
2019-03-20 14:24 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-03-13 19:32:51 PDT
Since window can also intercept/`preventDefault` events, it should be shown as well.
Comment 1 Devin Rousso 2019-03-13 19:39:56 PDT
This should also include setting breakpoints on window event listeners, as well as showing `window` when paused on a window event listener.
Comment 2 Radar WebKit Bug Importer 2019-03-14 23:34:08 PDT
<rdar://problem/48916872>
Comment 3 Devin Rousso 2019-03-17 00:44:34 PDT
Created attachment 364961 [details]
Patch
Comment 4 Build Bot 2019-03-17 00:46:04 PDT Comment hidden (obsolete)
Comment 5 WebKit Commit Bot 2019-03-20 09:22:38 PDT Comment hidden (obsolete)
Comment 6 Devin Rousso 2019-03-20 11:34:03 PDT
Created attachment 365366 [details]
Patch
Comment 7 Joseph Pecoraro 2019-03-20 11:49:41 PDT
Comment on attachment 365366 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365366&action=review

> Source/JavaScriptCore/inspector/protocol/DOM.json:91
> -                { "name": "nodeId", "$ref": "NodeId", "description": "Target <code>DOMNode</code> id." },
> +                { "name": "nodeId", "$ref": "NodeId", "optional": true, "description": "The target <code>DOMNode</code> id if the event listener is for a node." },
> +                { "name": "onWindow", "type": "boolean", "optional": true, "description": "True if the event listener was added to the window." },

Should let ITML folks know about these DOM changes as well.
Comment 8 Build Bot 2019-03-20 14:24:05 PDT Comment hidden (obsolete)
Comment 9 Build Bot 2019-03-20 14:24:07 PDT Comment hidden (obsolete)
Comment 10 WebKit Commit Bot 2019-03-20 14:55:12 PDT
Comment on attachment 365366 [details]
Patch

Clearing flags on attachment: 365366

Committed r243244: <https://trac.webkit.org/changeset/243244>
Comment 11 WebKit Commit Bot 2019-03-20 14:55:14 PDT
All reviewed patches have been landed.  Closing bug.